> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seraph.si/llms.txt
> Use this file to discover all available pages before exploring further.

# Log Discord Bot Interaction

> Logs user and interaction details from the Discord bot, including optional server information.



## OpenAPI

````yaml https://stash.seraph.si/json post /discord/logging/interaction
openapi: 3.1.0
info:
  contact:
    email: support@seraph.si
    name: API Support
    url: https://discord.gg/seraph
  title: Seraph API
  version: '4.0'
servers: []
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /discord/logging/interaction:
    post:
      tags:
        - Discord
        - Logging
      summary: Log Discord Bot Interaction
      description: >-
        Logs user and interaction details from the Discord bot, including
        optional server information.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/types.LoggingPost'
        description: Interaction logging data
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/types.LoggingPost'
          description: Successfully logged interaction data (echoes the received body)
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: Bad request, e.g., invalid input body
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: 'Forbidden: Not enough permissions to log interaction'
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: Internal server error
components:
  schemas:
    types.LoggingPost:
      properties:
        interaction:
          $ref: '#/components/schemas/types.LoggingInteraction'
        server:
          $ref: '#/components/schemas/types.LoggingServer'
        user:
          $ref: '#/components/schemas/types.LoggingUser'
      type: object
    validation.ErrorResponse:
      properties:
        cause:
          type: string
        code:
          type: integer
        documentation:
          type: string
        extra:
          items:
            $ref: '#/components/schemas/validation.ErrorObject'
          type: array
          uniqueItems: false
        msTime:
          type: integer
        success:
          type: boolean
      type: object
    types.LoggingInteraction:
      properties:
        interaction_name:
          type: string
        interaction_token:
          type: string
        interaction_type:
          type: string
        options:
          additionalProperties: {}
          type: object
        server_id:
          type: integer
        user_id:
          type: integer
      type: object
    types.LoggingServer:
      properties:
        server_id:
          type: integer
        server_name:
          type: string
      type: object
    types.LoggingUser:
      properties:
        user_id:
          type: integer
        username:
          type: string
      type: object
    validation.ErrorObject:
      properties:
        code:
          type: integer
        developer_reason:
          type: string
        name:
          type: string
        reason:
          type: string
      type: object

````